Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.loading.internal
Class LoadingCollectionEntry

    java.lang.Object
      org.hibernate.engine.loading.internal.LoadingCollectionEntry

    public class LoadingCollectionEntry

extends Object

Represents a collection currently being loaded.

Constructor Summary
`LoadingCollectionEntry(ResultSet resultSet, CollectionPersister persister, Serializable key, PersistentCollection collection)`

Method Summary
`PersistentCollection` | `getCollection()`
`Serializable` | `getKey()`
`CollectionPersister` | `getPersister()`
`ResultSet` | `getResultSet()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoadingCollectionEntry

    public LoadingCollectionEntry(ResultSet resultSet,
                                  CollectionPersister persister,
                                  Serializable key,
                                  PersistentCollection collection)

Method Detail

### getResultSet

    public ResultSet getResultSet()

### getPersister

    public CollectionPersister getPersister()

### getKey

    public Serializable getKey()

### getCollection

    public PersistentCollection getCollection()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.